Subject: Re: [PATCH v3 0/3] cpu: pseries: Cpu offline states framework

From: Peter Zijlstra <[email-masked]>
Date: Tue, 15 Sep 2009 14:11:41 +0200

On Tue, 2009-09-15 at 17:36 +0530, Gautham R Shenoy wrote:
> This patchset contains the offline state driver implemented for
> pSeries. For pSeries, we define three available_hotplug_states. They are:
> 
>         online: The processor is online.
> 
>         offline: This is the the default behaviour when the cpu is offlined
>         even in the absense of this driver. The CPU would call make an
>         rtas_stop_self() call and hand over the CPU back to the resource pool,
>         thereby effectively deallocating that vCPU from the LPAR.
>         NOTE: This would result in a configuration change to the LPAR
>         which is visible to the outside world.
> 
>         inactive: This cedes the vCPU to the hypervisor with a cede latency
>         specifier value 2.
>         NOTE: This option does not result in a configuration change
>         and the vCPU would be still entitled to the LPAR to which it earlier
>         belong to.
> 
> Any feedback on the patchset will be immensely valuable.

I still think its a layering violation... its the hypervisor manager
that should be bothered in what state an off-lined cpu is in.